Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class SelfTest

    java.lang.Object
      |
      +--com.ibm.crypto.fips.provider.SelfTest

public final class SelfTest
extends java.lang.Object

Constructor Summary
`SelfTest()`

Method Summary
`java.lang.Throwable` | `getSelfTestFailure()` Method identifies any failures associated with the last self test
`static boolean` | `isFipsRunnable()` Method identifies if the cryptographic module is FIPS 140-2 runable, in that the self test has completed with no failures.
`boolean` | `isSelfTestInProgress()` Method identifies if a self test is currently in progress
`boolean` | `runSelfTest()` Method initiates a new self test

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelfTest

    public SelfTest()

Method Detail

### isSelfTestInProgress

    public boolean isSelfTestInProgress()

  Method identifies if a self test is currently in progress

### getSelfTestFailure

    public java.lang.Throwable getSelfTestFailure()

  Method identifies any failures associated with the last self test

### runSelfTest

    public boolean runSelfTest()

  Method initiates a new self test

### isFipsRunnable

    public static boolean isFipsRunnable()

  Method identifies if the cryptographic module is FIPS 140-2 runable, in that the self test has completed with no failures. This method with check the static variable SelfTestSuceeded for true, if true it will return true. If SelfTestSuceeded is not true it will check the static variable SelfTestInProgress If SelfTestInProgress is true it will loop and re-check SelfTestSuceeded for a set number of loops.

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD